/*
 * kylin-burner--Qt
 *
 * Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yan Huanzhang <yanhuanzhang@kylinos.cn>
 *          Wang Chenglong <wangchenglong@kylinos.cn>
 */

#ifndef Configuration_H
#define Configuration_H

#include <QObject>
#include <QMutex>
#include <QSettings>

class Configuration : public QObject
{
    Q_OBJECT
public:
    static Configuration *instance();
    Configuration(Configuration &)=delete;
    Configuration &operator =(Configuration)=delete;
public:
    void init(){}
    void destroy(){ delete this; }
public:
    QVariant get(QString, QString, QVariant d=QVariant());
    void set(QString, QString, QVariant);
    QVariantList gets(QString, QString);
    void sets(QString, QString, QVariantList);
private:
    explicit Configuration(QObject *parent = nullptr);
    ~Configuration();
private:
    static Configuration *m_oInstance;
    static QMutex            m_oMutex;
private:
    QSettings               *m_oSetting;
signals:

};
#define CFG Configuration::instance()
#endif // Configuration_H
