/*
 * kylin-burner--Qt
 *
 * Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yan Huanzhang <yanhuanzhang@kylinos.cn>
 *          Wang Chenglong <wangchenglong@kylinos.cn>
 */

#ifndef PROCESSBURNDATA_H
#define PROCESSBURNDATA_H

#include "processbasic.h"

#include <QObject>

class ProcessBurnData : public ProcessBasic
{
    Q_OBJECT
signals:
    void clear();
public:
    ProcessBurnData(void *, void *, QObject *parent=nullptr);
    ~ProcessBurnData();
protected:
    bool prepare();
    bool config();
    bool working();
    bool worked();
protected slots:
    void slotsStart();
    void slotsOutput();
    void slotsError();
    void slotsFinished(int, QProcess::ExitStatus);
    void slotsCopy(QString, QString);
private:
    int      m_iCopied;
    int      m_iProgress;
    qreal    m_fSpeed;
    bool     m_bCreateISO;
    bool     m_bAppendBurn;
    void    *m_oCDROM;
    void    *m_oRoot;
    QString  m_oCdrecord;
    QString  m_oMkisofs;
    QString  m_oGrowisofs;
    QString  m_oCreateISO;
    QString  m_oISOOutput;
    QString  m_oMSINFO;
};

#endif // PROCESSBURNDATA_H
