/*
 * kylin-burner--Qt
 *
 * Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yan Huanzhang <yanhuanzhang@kylinos.cn>
 *          Wang Chenglong <wangchenglong@kylinos.cn>
 */

#ifndef PROCESSBURNIMAGE_H
#define PROCESSBURNIMAGE_H

#include "src/process/processbasic.h"

#include <QObject>

class ProcessBurnImage : public ProcessBasic
{
    Q_OBJECT
public:
    ProcessBurnImage(QString, void *, QObject *parent = nullptr);
    ~ProcessBurnImage();
protected:
    bool prepare() Q_DECL_OVERRIDE;
    bool config() Q_DECL_OVERRIDE;
protected slots:
    void slotsStart() Q_DECL_OVERRIDE;
    void slotsOutput() Q_DECL_OVERRIDE;
    void slotsError() Q_DECL_OVERRIDE;
    void slotsFinished(int,QProcess::ExitStatus) Q_DECL_OVERRIDE;
private:
    void *getCDROM();
private:
    void     *m_oCDROM;
    int       m_iProgress;
    double    m_fSpeed;
    QString   m_oImage;
};

#endif // PROCESSBURNIMAGE_H
