/*
 * kylin-burner--Qt
 *
 * Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yan Huanzhang <yanhuanzhang@kylinos.cn>
 *          Wang Chenglong <wangchenglong@kylinos.cn>
 */

#ifndef PROCESSCREATEISO_H
#define PROCESSCREATEISO_H

#include "processbasic.h"

#include <QObject>

class ProcessCreateISO : public ProcessBasic
{
    Q_OBJECT
signals:
    void clear();
public:
    ProcessCreateISO(void *, void *, QObject *parent = nullptr);
    ~ProcessCreateISO();
protected:
    bool prepare();
    bool config();
    bool worked();
protected slots:
    void slotsStart();
    void slotsOutput();
    void slotsError();
    void slotsFinished(int, QProcess::ExitStatus);
private slots:
    void slotsCopy(QString, QString);
private:
    int       m_iCopied;
    void     *m_oCDROM;
    void     *m_oRoot;
};

#endif // PROCESSCREATEISO_H
