/*
 * kylin-burner--Qt
 *
 * Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yan Huanzhang <yanhuanzhang@kylinos.cn>
 *          Wang Chenglong <wangchenglong@kylinos.cn>
 */

#ifndef PROCESSMD5SUM_H
#define PROCESSMD5SUM_H

#include "src/process/processbasic.h"

class ProcessMd5sum : public ProcessBasic
{
    Q_OBJECT
public:
    ProcessMd5sum(void *cdrom, QString checkFile, QObject *parent = nullptr);
    ~ProcessMd5sum();
protected:
    bool prepare() Q_DECL_OVERRIDE;
    bool worked();
protected slots:
    void slotsStart(){}
    void slotsOutput();
    void slotsError();
    void slotsFinished(int, QProcess::ExitStatus);
private:
    int     m_iProgress;
    void   *m_oCDROM;
    QString m_oCheckFile;
};

#endif // PROCESSMD5SUM_H
