/*
 * kylin-burner--Qt
 *
 * Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yan Huanzhang <yanhuanzhang@kylinos.cn>
 *          Wang Chenglong <wangchenglong@kylinos.cn>
 */

#ifndef PROCESSMEDIAINFO_H
#define PROCESSMEDIAINFO_H

#include "src/process/processbasic.h"

#include <QObject>

class ProcessMediaInfo : public ProcessBasic
{
    Q_OBJECT
public:
    ProcessMediaInfo(void *, QObject *parent = nullptr);
    ~ProcessMediaInfo();
public:
    unsigned long size() const { return m_u64Size; }
protected:
    bool prepare();
protected slots:
    void slotsStart(){}
    void slotsOutput();
    void slotsError();
    void slotsFinished(int, QProcess::ExitStatus){}
private:
    void *m_oCDROM;
    unsigned long m_u64Size;
};

#endif // PROCESSMEDIAINFO_H
