/*
 * kylin-burner--Qt
 *
 * Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yan Huanzhang <yanhuanzhang@kylinos.cn>
 *          Wang Chenglong <wangchenglong@kylinos.cn>
 */

#include "burnimageisoitem.h"
#include "ui_burnimageisoitem.h"

BurnImageISOItem::BurnImageISOItem(QString path, QWidget *parent) :
    QWidget(parent),
    ui(new Ui::BurnImageISOItem)
{
    QFont f;
    ui->setupUi(this);
    f = ui->label->font();
    f.setPixelSize(14);
    ui->label->setText(path);
    setToolTip(path);
    ui->label->setFont(f);
    ui->pushButton->setIcon(QIcon::fromTheme("window-close-symbolic"));
    ui->pushButton->setProperty("isWindowButton", 0x2);
    ui->pushButton->setProperty("useIconHighlightEffect", 0x8);
    ui->pushButton->hide();
}

BurnImageISOItem::~BurnImageISOItem()
{
    delete ui;
}
