/*
 * kylin-burner--Qt
 *
 * Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yan Huanzhang <yanhuanzhang@kylinos.cn>
 *          Wang Chenglong <wangchenglong@kylinos.cn>
 */

#ifndef COPYIMAGE_H
#define COPYIMAGE_H

#include <QWidget>
#include <QMutex>
#include <QLabel>
#include <QListWidget>

namespace Ui {
class CopyImage;
}

class CopyImage : public QWidget
{
    Q_OBJECT
signals:
    void busness(int);
    void busness(bool);
public:
    static CopyImage *instance();
public:
    CopyImage(const CopyImage*)=delete;
    CopyImage *operator =(const CopyImage*)=delete;
public slots:
    void check();
private:
    explicit CopyImage(QWidget *parent = nullptr);
    ~CopyImage();
private slots:
    void slotsDestination(void *);
    void slotsDestination(int);
    void slotsDestinationChange(int);
    void slotsSource(void *);
    void slotsSource(int);
    void slotsButtonClick();
private:
    static CopyImage *m_oInstance;
    static QMutex     m_oMutex;
private:
    QWidget          *m_oShowISO;
    QLabel           *m_oIcon;
    QLabel           *m_oDisplay;
    QWidget          *m_oShowBurner;
    QLabel           *m_oIconBurner;
    QLabel           *m_oDisplayBurner;
    QListWidget      *m_oListWidget;
    QStringList       m_oISOPaths;
    QListWidget      *m_oListWidgetBurner;
    QList<void *>     m_oDes;
    QList<void *>     m_oSrc;
private:
    Ui::CopyImage *ui;
};
#define PAGE_CopyImage CopyImage::instance()
#endif // COPYIMAGE_H
