/*
 * kylin-burner--Qt
 *
 * Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yan Huanzhang <yanhuanzhang@kylinos.cn>
 *          Wang Chenglong <wangchenglong@kylinos.cn>
 */

#ifndef DISKCHECK_H
#define DISKCHECK_H

#include <QWidget>

namespace Ui {
class DiskCheck;
}

class DiskCheck : public QWidget
{
    Q_OBJECT
signals:
    void change(bool);
public:
    explicit DiskCheck(QWidget *parent = nullptr);
    ~DiskCheck();
public slots:
    void accept();
public:
    bool check();
private slots:
    void slotsAddMedium(void *);
    void slotsRemoveMedium(void *);
    void slotsChangeMedium(int);
    void slotsBrowseFile();
private:
    QStringList    m_oCheckFiles;
    QList<void *>  m_oCDROMS;
private:
    Ui::DiskCheck *ui;
};

#endif // DISKCHECK_H
