/*
 * kylin-burner--Qt
 *
 * Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yan Huanzhang <yanhuanzhang@kylinos.cn>
 *          Wang Chenglong <wangchenglong@kylinos.cn>
 */

#ifndef EXECDIALOG_H
#define EXECDIALOG_H

#include <QDialog>
#include <QMutex>

namespace Ui {
class ExecDialog;
}

class ExecDialog : public QDialog
{
    Q_OBJECT
signals:
    void content(QString);
    void result(QString);
public:
    static ExecDialog *instance();
public:
    ExecDialog(const ExecDialog*)=delete;
    ExecDialog *operator =(const ExecDialog*)=delete;
public:
    void init() {}
    void destroy() { delete this; }
public:
    int information(QString, QString, bool next = false);
    void error(QString, QString, bool next = false);
    bool question(QString, QString, bool next = false);
    bool input(QString&, QString, QString, QString result);
public slots:
    QString input(QString, QString, QString result = QString());
protected:
    void paintEvent(QPaintEvent *event) Q_DECL_OVERRIDE;
private:
    explicit ExecDialog(QWidget *parent = nullptr);
    ~ExecDialog();
private slots:
    void slotsTipsAgain(bool b);
private:
    QString            m_oTipTitle;
private:
    static ExecDialog *m_oInstance;
    static QMutex      m_oMutex;
private:
    Ui::ExecDialog *ui;
};
#define EXEC ExecDialog::instance()
#endif // EXECDIALOG_H
