/*
 * kylin-burner--Qt
 *
 * Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yan Huanzhang <yanhuanzhang@kylinos.cn>
 *          Wang Chenglong <wangchenglong@kylinos.cn>
 */

#ifndef FILEFILTERRULES_H
#define FILEFILTERRULES_H

#include <QDialog>
#include <QMutex>
#include <QPoint>

namespace Ui {
class FileFilterRules;
}

class FileFilterRules : public QDialog
{
    Q_OBJECT
signals:
    void hidden(bool);
    void broken(bool);
    void repleace(bool);
    void rangeAll(bool);
public:
    static FileFilterRules *instance();
public:
    void init(void *data = nullptr);
    void destroy() { delete this; }
    void show();
    void updatePosition(QPoint);
public:
    FileFilterRules(const FileFilterRules*)=delete;
    FileFilterRules *operator =(const FileFilterRules *)=delete;
protected:
    void paintEvent(QPaintEvent *event) Q_DECL_OVERRIDE;
private:
    explicit FileFilterRules(QWidget *parent = nullptr);
    ~FileFilterRules();
private:
    static FileFilterRules *m_oInstance;
    static QMutex           m_oMutex;
    QPoint                  m_oPosition;
private:
    Ui::FileFilterRules *ui;
};
#define FILTERRULES FileFilterRules::instance()
#endif // FILEFILTERRULES_H
