/*
 * kylin-burner--Qt
 *
 * Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yan Huanzhang <yanhuanzhang@kylinos.cn>
 *          Wang Chenglong <wangchenglong@kylinos.cn>
 */

#include "input.h"
#include "ui_input.h"
#include "src/view/execdialog.h"

Input::Input(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Input)
{
    QFont f;
    ui->setupUi(this);
    f = ui->labelContent->font();
    f.setPixelSize(14);

    ui->labelContent->setFont(f);
    ui->lineEditResult->setFont(f);

    connect(this, SIGNAL(content(QString)), ui->labelContent, SLOT(setText(QString)));
    connect(this, SIGNAL(result(QString)), ui->lineEditResult, SLOT(setText(QString)));
}

QString Input::result()
{
    return ui->lineEditResult->text();
}

Input::~Input()
{
    delete ui;
}
