/*
 * kylin-burner--Qt
 *
 * Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yan Huanzhang <yanhuanzhang@kylinos.cn>
 *          Wang Chenglong <wangchenglong@kylinos.cn>
 */

#ifndef KYBABOUTDIALOG_H
#define KYBABOUTDIALOG_H

#include <QDialog>
#include <QMutex>

namespace Ui {
class KYBAboutDialog;
}

class KYBAboutDialog : public QDialog
{
    Q_OBJECT
public:
    static KYBAboutDialog *instance();
public:
    void init(){}
    void destroy() { delete this; }
public slots:
    void updatePosition(QPoint);
protected:
    void paintEvent(QPaintEvent *event) Q_DECL_OVERRIDE;
private:
    explicit KYBAboutDialog(QWidget *parent = nullptr);
    QString getCurrentVersion();
    ~KYBAboutDialog();
private:
    int                    m_iHeight;
    QPoint                 m_oPosition;
private:
    static KYBAboutDialog *m_oInstance;
    static QMutex          m_oMutex;
private:
    Ui::KYBAboutDialog *ui;
};
#define ABOUT KYBAboutDialog::instance()
#endif // KYBABOUTDIALOG_H
