/*
 * kylin-burner--Qt
 *
 * Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yan Huanzhang <yanhuanzhang@kylinos.cn>
 *          Wang Chenglong <wangchenglong@kylinos.cn>
 */ 

#ifndef PROGRESS_H
#define PROGRESS_H

#include <QWidget>
#include <QIcon>

namespace Ui {
class Progress;
}

class Progress : public QWidget
{
    Q_OBJECT
signals:
    void setRange(int, int);
    void setValue(int, QIcon, QString);
    void addValue(int, QIcon, QString);
    void title(QString);
public:
    explicit Progress(QWidget *parent = nullptr);
    ~Progress();
private slots:
    void slotsSetValue(int, QIcon icon = QIcon(), QString str = QString());
    void slotsAddValue(int, QIcon icon = QIcon(), QString str = QString());
    void slotsUpdateIcon(QIcon);
private:
    Ui::Progress *ui;
};

#endif // PROGRESS_H
