/*
 * kylin-burner--Qt
 *
 * Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yan Huanzhang <yanhuanzhang@kylinos.cn>
 *          Wang Chenglong <wangchenglong@kylinos.cn>
 */

#ifndef TIP_LOADMEDIUM_H
#define TIP_LOADMEDIUM_H

#include <QWidget>
#include <QDialog>
#include <QMutex>
#include <QPoint>
#include <QIcon>
#include <QTimer>


namespace Ui {
class Tip_loadMedium;
}


class Tip_loadMedium : public QDialog
{
    Q_OBJECT

public:
    static Tip_loadMedium *instance();
public:
    Tip_loadMedium(const Tip_loadMedium*)=delete;
    Tip_loadMedium *operator =(const Tip_loadMedium*)=delete;

protected:
    void paintEvent(QPaintEvent *event) Q_DECL_OVERRIDE;
    //void closeEvent(QCloseEvent *event) Q_DECL_OVERRIDE;
private:
    explicit Tip_loadMedium(QWidget *parent = nullptr);
    ~Tip_loadMedium();

public:
    void init();
    void destroy() { delete this; }
    void show();
    void hide();
    void updatePosition(QPoint);

public slots:
    void slotsSetIcon();

private:
    static Tip_loadMedium *m_oInstance;
    static QMutex          m_oMutex;
    QTimer                *m_oTimer;

private:
    Ui::Tip_loadMedium    *ui;
    QIcon                  m_oIcon;
    QPoint                 m_oPosition;
    unsigned int           m_u32Icon;
};

#define LoadMedium Tip_loadMedium::instance()

#endif // TIP_LOADMEDIUM_H
