/*
 * kylin-burner--Qt
 *
 * Copyright (C) 2020, Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: Yan Huanzhang <yanhuanzhang@kylinos.cn>
 *          Wang Chenglong <wangchenglong@kylinos.cn>
 */

#ifndef WINDOWTITLE_H
#define WINDOWTITLE_H

#include <QWidget>
#include <QMenu>

namespace Ui {
class WindowTitle;
}

class WindowTitle : public QWidget
{
    Q_OBJECT
signals:
    // log
    void info(QString); void warn(QString);
    void error(QString); void debug(QString);

    void close();
    void max();
    void min();
public:
    explicit WindowTitle(QWidget *parent = nullptr);
    ~WindowTitle();
public:
    void onlyShowButton();
    void onlyShowLogo();
    void onlyShowInDialog();
    void onlyVisibleClose(bool);

public slots:
    void onWindowIconChange(QIcon);
    void onWindowTitleChange(QString);
    void onWindowShowMaxed(bool);
protected:
    bool eventFilter(QObject *watched, QEvent *event) Q_DECL_OVERRIDE;
private:
    bool             m_bShowTitle;
    bool             m_bAppRunning;
    QMenu           *m_oMenu;
    QAction         *m_oActionSelf;
    QAction         *m_oActionMax;
    QAction         *m_oActionMin;
    QAction         *m_oActionClose;
private:
    Ui::WindowTitle *ui;
};

#endif // WINDOWTITLE_H
